**`ARUN PRASAD SELVARAJ`[NAME]** -NL- Mobile Application Developer -NL- **`07733248495`[PHONES_PHONE]** | **`smarun16@gmailcom`[EMAILS_EMAIL]** | London (willing to relocate) -NL- https://wwwlinkedincom/in/arunprasadselvaraj -NL- **`Personal summary`[PERSONAL_DETAILS_HEADING]** -NL- I have 6 years of experience in iOS development using Objective-C and Swift. Also experienced in Android -NL- development with Kotlin and Cross platform experience with React Native. Used best practices, like coding -NL- standards, code reusability, Memory management, Multithreading, Data structures. Worked in Agile - Scrum & -NL- Waterfall methodology. Good understanding and experience of the full software development lifecycle. Experienced -NL- in working with large-scale commercial and customer-facing digital applications design, development and delivery. -NL- Good sense of balance between delivery of value and code quality. -NL- I am looking for mobile developer opportunity in the UK. -NL- **`Skills`[SKILLS_HEADING]** -NL- ● Development Tools - Xcode, Android Studio, Visual Studio code -NL- ● Front End tools - HTML, CSS -NL- ● Language - Swift, objective C, React Native, kotlin, Php, JavaScript, Angular.js, Node.js -NL- ● Database - SQL, PhpMyAdmin, FireBase, Realm -NL- ● Version control - GitHub, SVN, Gitlab, Bitbucket -NL- ● Web service - REST, Json, XML, Web Api, SOAP -NL- ● Software development Methodologies - Agile - Scrum, Waterfall -NL- ● Testing - Test Driven Development, Unit testing, XCTest -NL- **`Projects`[OTHERS_HEADING]** -NL- **`SENIOR MOBILE DEVELOPER`[EMPLOYER_ROLE]** | **`Hoot Media ltd`[EMPLOYER_COMPANY_NAME]** | Devon, UK -NL- Mar 2019 – Present -NL- ● Developed apps for both iOS & Android in native -NL- ● Developed 2 applications using Swift & Kotlin -NL- ● Rebuilding apps from scratch in cross platform - React Native -NL- ● Created the new designs and derived the business logic for the applications -NL- ● Worked in front end with HTML, CSS, Javascript for new features & enhancement -NL- ● Experienced in handling the client and shared the status of the project -NL- ● Used GitHub for updating the code in version controller -NL- ● Experienced in setup the details for both Apple developer portal and Google play store console -NL- ● Having a good understanding of the whole workflow of application in Mobile and also in Website -NL- ● The app which I developed is selected for the best product of the year -NL- Tools Used: iOS, Xcode, Android Studio, Swift, Kotlin, React Native, Php, HTML, CSS, PhpMyAdmin, GitHub, -NL- TDD, Code Coverage, Auto layouts, Constraint Layout, Unit testing, XCTest, Continuous Integration & Deployment, -NL- Action Extension, iCloud, Push Notification, Memory Management TestFlight, Scrum Methodology. -NL- **`SENIOR MOBILE DEVELOPER`[EMPLOYER_ROLE]** | **`Tavistock Investment PLC`[EMPLOYER_COMPANY_NAME]** | London -NL- Jan 2019 – Mar 2019 -NL- ● Developed an app for both iOS & Android in native -NL- ● Used GitHub for updating the code in version controller -NL- ● Experienced in handling the client and shared the status of the project -NL- ● Shared the new ideas to the client for increasing the productivity -NL- ● Worked in Scrum methodology -NL- ● Used MVVM design pattern in both iOS & Android -NL- ● Experience in using AWS service and implementing CI for integrating the code -NL- Tools Used: iOS, Xcode, Android Studio, Swift, Kotlin, gitlab, TDD, Code Coverage, Unit testing, Action Extension, -NL- Memory Management TestFlight, Custom Animation Used Vector images for reduce the app size. -NL- **`SENIOR iOS DEVELOPER`[EMPLOYER_ROLE]** | **`Mercedes Benz Research and Development`[EMPLOYER_COMPANY_NAME]** | India -NL- Jul 2018 – Dec 2018 -NL- ● Developed apps for iOS and rebuild the apps from scratch -NL- ● Developed 4 applications using Swift & Objective-C -NL- ● Experienced in using Restful Api for api call -NL- ● Experienced in using the PFPdf kitTo show the HTML content in the PFPdf kit and edit the pdf document -NL- ● Developed apps for both iPhone & iPad using size class -NL- ● Worked closely with company executives to identify new business opportunities -NL- ● Used Gitlab for updating the code in version controller -NL- ● Experienced in using CI & CD for integrating and deployment of the code -NL- ● Experienced in working with backend with Node.js and MYSQL -NL- ● Experienced in using MVVM pattern -NL- Tools Used: iOS, Xcode, Swift ,Objective-C, UI design, Gitlab, CoreData, Memory Management, Multi -NL- threading,TDD, API call Restful service, Codable, PFPdf Kit, Notification Extension, Action Extension, Share -NL- Extension, Code coverage, Webkit, Auto layout, TestFlight, GitHub, Sourcetree. -NL- **`SENIOR MOBILE DEVELOPER`[EMPLOYER_ROLE]** | Nextgen WebService Pvt ltd | India -NL- Jul 2017 – Jul -NL- 2018 -NL- ● Developed apps for both iOS & Android in native -NL- ● Rebuilding apps from scratch in cross platform - React Native -NL- ● Developed 4 applications using Swift & Kotlin -NL- ● Experienced in converting the Objective-C code to Swift -NL- ● The card swipe animation had done -NL- ● Experienced in developing & designing the app using React Native -NL- ● Experienced in using the Redux library for managing the applications -NL- ● Facebook Graph Api for place search to create a Capsule on the place -NL- ● App Group function had done for sharing the post -NL- ● Experienced in integrating Social login & Share -NL- ● Make photos to share with in this app using Action Extension. -NL- Tools Used: iOS, Xcode, Android Studio, Swift, Kotlin, React Native, UI design, SVN,Google Navigator, Google -NL- Maps Kit, Realm DB, Memory Management, Multi threading, API, Json web service. -NL- **`SENIOR MOBILE DEVELOPER`[EMPLOYER_ROLE]** | Angler Technologies | India -NL- Dec 2013 – Jun -NL- 2017 -NL- ● Developed & designed the app for both iOS, Android using Objective-C, Swift, Kotlin, React Native -NL- ● Developed 15 applications using Swift, Objective-C & Kotlin -NL- ● Experienced in using CI & CD for integrating and deployment of the code -NL- ● Used Google kit, Google place search for book the doctor appointment -NL- ● Experienced in using the MVVM pattern for code alignment and testing -NL- ● Experienced in using TDD XCTest and used code coverage -NL- Tools Used: iOS, Xcode, Android Studio, Swift, Kotlin, React Native Gitlab, Github, SVN, Auto layout, Size class, -NL- Google Map Kit, iOS MapKit, SignalR, Web sockets, Payment Gateway, Notification, Action & Share Extension, -NL- MongoDB, UserDefaults, Setting Customisation, Memory Management, Multi threading, API, Restful web service, -NL- Node.js -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- ● Bachelor’s degree - Anna university Chennai -NL- Jun 2010 - May 2013 -NL- ● Diploma - Department of Technical education -NL- Jun 2007 - Apr 2010 -NL- 